Data Infrastructure Management Software Discussions

Harvest for ONTAP 9.5

We are currently useing NAbox 2.5  with OnCommand Unified Manager 7.3P1 & Harvest v1.4.1.

 

I have a couple of clusters that are on ONTAP version (9.3P8) working just fine with the above setup but I am adding a new cluster that came with ONTAP 9.4P3. I'd like to upgrade it to ONTAP 9.5.

 

Will my above setup work with ONTAP 9.4 and/or 9.5?

Does Harves 1.4.1 work with OCUM 9.4 or 9.5?

Will any of these changes require an update to NAbox? 

 

@vachagan_gratian @gmey @yannbizeul

 

6 REPLIES 6

Re: Harvest for ONTAP 9.5

Hi 

 

since Harvest 1.4.1 we have implement some kind of version flexibility in terms of ONTAP releases.

Typically there is a template file with performance counters and objects per ONTAP release shipped

with Harvest. If Harvest will not find an appropriate template ith will look for the next best fit down

the line. 

 

Cheers

 

Georg

 

Re: Harvest for ONTAP 9.5

Generally speaking this has been the case but our team recently upgraded to 9.5 and it appears Harvest is broken for the upgraded clusters. We are OCUM 7.3.0.1 and a custom build of Harvest on RedHat 7. Not exactly sure what version we are on. I will need to check the files. I will try the old method of copying and renaming the template file. It could be the collection managers. Still investigating.

Re: Harvest for ONTAP 9.5

Hello, can anyone tell me if ONTAP 9.5 is supported by the latest version of Harvest? 1.4.2. 

Re: Harvest for ONTAP 9.5

Yes, it is supported!

 

we do have some version flexibilty implemented in 1.4.2 which will go for the best fitting counter template

according to the cluster ONTAP version

 

Georg

Re: Harvest for ONTAP 9.5

Hi,

We are in harvest version 1.4.2, and since we upgrade ONTAP to 9.5 we have no more graphe. We restarted the services and we still have the same problem. Is there another action to do?

 

Regards,

 

Marc

Re: Harvest for ONTAP 9.5

After we upgraded to 9.5 our Harvest views for our 8020 also broke. Just doing a patch didn't break it, so for instance if I went from 9.4P1 to 9.4P5 it still worked. Going from 9.4 to 9.5 it broke.

 

Copying and renaming config file from cdot-9.4.0.conf to cdot-9.5.0.conf will get you working again. At least it did for me. Make sure to adjust ownership and permissions. Depending on your installation your directory location could be different. This is my path, /opt/netapp-harvest/template/default/.

 

 

Forums